Set Settings
curl --request POST \
--url https://api.zapkey.io/settings/set/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"reject_call": true,
"groups_ignore": true,
"always_online": true,
"read_messages": true,
"read_status": true,
"sync_full_history": true,
"msg_call": "<string>"
}
'import requests
url = "https://api.zapkey.io/settings/set/{instance}"
payload = {
"reject_call": True,
"groups_ignore": True,
"always_online": True,
"read_messages": True,
"read_status": True,
"sync_full_history": True,
"msg_call": "<string>"
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reject_call: true,
groups_ignore: true,
always_online: true,
read_messages: true,
read_status: true,
sync_full_history: true,
msg_call: '<string>'
})
};
fetch('https://api.zapkey.io/settings/set/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"settings": {
"instanceName": "teste-docs",
"settings": {
"reject_call": true,
"groups_ignore": true,
"always_online": true,
"read_messages": true,
"read_status": true,
"sync_full_history": false
}
}
}Configurações
Set Settings
Set settings
POST
/
settings
/
set
/
{instance}
Set Settings
Authorizations
Your authorization key header
Path Parameters
ID of the instance to connect
Body
application/json
Reject calls automatically
Ignore group messages
Always show WhatsApp online
Send read receipts
See message status
Syncronize full WhatsApp history with EvolutionAPI
Message to be sent when a call is rejected automatically
Response
201 - application/json
Created
Show child attributes
Show child attributes